org.apache.sling.sample.slingshot.model

## Class UserInfo

- java.lang.Object
- - org.apache.sling.sample.slingshot.model.PropertiesSupport
  - - org.apache.sling.sample.slingshot.model.UserInfo

    public class UserInfo
    extends PropertiesSupport

### Field Summary

Fields
`static String` `PATH_PHOTO`
`static String` `PROPERTY_ABOUT`
`static String` `PROPERTY_NAME`
`static String` `RESOURCETYPE` The resource type for a user info.

### Fields inherited from class org.apache.sling.sample.slingshot.model.PropertiesSupport

`resource`

### Constructor Summary

Constructors
Constructor and Description
`UserInfo(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAbout()`
`String` `getName()`

### Methods inherited from class org.apache.sling.sample.slingshot.model.PropertiesSupport

`getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCETYPE

    public static final String RESOURCETYPE

The resource type for a user info.

See Also:
  Constant Field Values

#### PROPERTY_NAME

    public static final String PROPERTY_NAME

See Also:
  Constant Field Values

#### PROPERTY_ABOUT

    public static final String PROPERTY_ABOUT

See Also:
  Constant Field Values

#### PATH_PHOTO

    public static final String PATH_PHOTO

See Also:
  Constant Field Values

### Constructor Detail

#### UserInfo

    public UserInfo(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getName

    public String getName()

#### getAbout

    public String getAbout()